package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWFJD4 extends MwfRequest<MWFJD4, MWFJD4Response> {

    @Parameter(name = "DATATYPE0")
    MWFJD4 datatype0(String datatype0);
    @Parameter(name = "DATATYPE1")
    MWFJD4 datatype1(String datatype1);
    @Parameter(name = "DATATYPE10")
    MWFJD4 datatype10(String datatype10);
    @Parameter(name = "DATATYPE11")
    MWFJD4 datatype11(String datatype11);
    @Parameter(name = "DATATYPE12")
    MWFJD4 datatype12(String datatype12);
    @Parameter(name = "DATATYPE13")
    MWFJD4 datatype13(String datatype13);
    @Parameter(name = "DATATYPE14")
    MWFJD4 datatype14(String datatype14);
    @Parameter(name = "DATATYPE2")
    MWFJD4 datatype2(String datatype2);
    @Parameter(name = "DATATYPE3")
    MWFJD4 datatype3(String datatype3);
    @Parameter(name = "DATATYPE4")
    MWFJD4 datatype4(String datatype4);
    @Parameter(name = "DATATYPE5")
    MWFJD4 datatype5(String datatype5);
    @Parameter(name = "DATATYPE6")
    MWFJD4 datatype6(String datatype6);
    @Parameter(name = "DATATYPE7")
    MWFJD4 datatype7(String datatype7);
    @Parameter(name = "DATATYPE8")
    MWFJD4 datatype8(String datatype8);
    @Parameter(name = "DATATYPE9")
    MWFJD4 datatype9(String datatype9);
    @Parameter(name = "GLOBAL_OPERATOR")
    MWFJD4 globalOperator(String globalOperator);
    @Parameter(name = "ITEM_FIRST")
    MWFJD4 itemFirst(Long itemFirst);
    @Parameter(name = "ITEM_LAST")
    MWFJD4 itemLast(Long itemLast);
    @Parameter(name = "LOCKTASK")
    MWFJD4 locktask(Long locktask);
    @Parameter(name = "OPERAND0")
    MWFJD4 operand0(String operand0);
    @Parameter(name = "OPERAND1")
    MWFJD4 operand1(String operand1);
    @Parameter(name = "OPERAND10")
    MWFJD4 operand10(String operand10);
    @Parameter(name = "OPERAND11")
    MWFJD4 operand11(String operand11);
    @Parameter(name = "OPERAND12")
    MWFJD4 operand12(String operand12);
    @Parameter(name = "OPERAND13")
    MWFJD4 operand13(String operand13);
    @Parameter(name = "OPERAND14")
    MWFJD4 operand14(String operand14);
    @Parameter(name = "OPERAND2")
    MWFJD4 operand2(String operand2);
    @Parameter(name = "OPERAND3")
    MWFJD4 operand3(String operand3);
    @Parameter(name = "OPERAND4")
    MWFJD4 operand4(String operand4);
    @Parameter(name = "OPERAND5")
    MWFJD4 operand5(String operand5);
    @Parameter(name = "OPERAND6")
    MWFJD4 operand6(String operand6);
    @Parameter(name = "OPERAND7")
    MWFJD4 operand7(String operand7);
    @Parameter(name = "OPERAND8")
    MWFJD4 operand8(String operand8);
    @Parameter(name = "OPERAND9")
    MWFJD4 operand9(String operand9);
    @Parameter(name = "OPERATOR0")
    MWFJD4 operator0(String operator0);
    @Parameter(name = "OPERATOR1")
    MWFJD4 operator1(String operator1);
    @Parameter(name = "OPERATOR10")
    MWFJD4 operator10(String operator10);
    @Parameter(name = "OPERATOR11")
    MWFJD4 operator11(String operator11);
    @Parameter(name = "OPERATOR12")
    MWFJD4 operator12(String operator12);
    @Parameter(name = "OPERATOR13")
    MWFJD4 operator13(String operator13);
    @Parameter(name = "OPERATOR14")
    MWFJD4 operator14(String operator14);
    @Parameter(name = "OPERATOR2")
    MWFJD4 operator2(String operator2);
    @Parameter(name = "OPERATOR3")
    MWFJD4 operator3(String operator3);
    @Parameter(name = "OPERATOR4")
    MWFJD4 operator4(String operator4);
    @Parameter(name = "OPERATOR5")
    MWFJD4 operator5(String operator5);
    @Parameter(name = "OPERATOR6")
    MWFJD4 operator6(String operator6);
    @Parameter(name = "OPERATOR7")
    MWFJD4 operator7(String operator7);
    @Parameter(name = "OPERATOR8")
    MWFJD4 operator8(String operator8);
    @Parameter(name = "OPERATOR9")
    MWFJD4 operator9(String operator9);
    @Parameter(name = "ORDERBY")
    MWFJD4 orderby(String orderby);
    @Parameter(name = "STATE")
    MWFJD4 state(String state);
    @Parameter(name = "VALUE0")
    MWFJD4 value0(String value0);
    @Parameter(name = "VALUE1")
    MWFJD4 value1(String value1);
    @Parameter(name = "VALUE10")
    MWFJD4 value10(String value10);
    @Parameter(name = "VALUE11")
    MWFJD4 value11(String value11);
    @Parameter(name = "VALUE12")
    MWFJD4 value12(String value12);
    @Parameter(name = "VALUE13")
    MWFJD4 value13(String value13);
    @Parameter(name = "VALUE14")
    MWFJD4 value14(String value14);
    @Parameter(name = "VALUE2")
    MWFJD4 value2(String value2);
    @Parameter(name = "VALUE3")
    MWFJD4 value3(String value3);
    @Parameter(name = "VALUE4")
    MWFJD4 value4(String value4);
    @Parameter(name = "VALUE5")
    MWFJD4 value5(String value5);
    @Parameter(name = "VALUE6")
    MWFJD4 value6(String value6);
    @Parameter(name = "VALUE7")
    MWFJD4 value7(String value7);
    @Parameter(name = "VALUE8")
    MWFJD4 value8(String value8);
    @Parameter(name = "VALUE9")
    MWFJD4 value9(String value9);
}
